/*
								+---------------------------------+
								|                                 |
								|        ***   Targa   ***        |
								|                                 |
								|  Copyright   -tHE SWINe- 2002  |
								|                                 |
								|             Tga.cpp             |
								|                                 |
								+---------------------------------+
*/

/*
 *	passed code revision at 06-08-2006
 *
 *	rewrote to C++, used templates and template functions to reduce code length
 *
 *	07-31-2006
 *
 *	added slight template hack to be compilable under g++/linux
 *
 *	03-26-2007
 *
 *	removed template hack, fixed the code so there's same codepath for both g++/linux and msvc/win
 *
 */

#ifndef __BMP_INCLUDED
#define __BMP_INCLUDED

struct TBmp {
	char n_former_bpp; // former bpp, before conversion to RGBA8
	bool b_grayscale;
	bool b_alpha;
	int n_width, n_height;
	unsigned __int32 *p_buffer;
};

#endif //__BMP_INCLUDED

#ifndef __TARGA_INCLUDED
#define __TARGA_INCLUDED

TBmp *p_Load_TGA(const char *p_s_filename);

#endif //__TARGA_INCLUDED
